import * as ts from 'typescript';
type TypeFilename = string;
type UpdateDefinitionFunction = (newDef: Record<TypeFilename, string>) => void;
type AutoCompletion = {
    name: string;
    kind: ts.ScriptElementKind;
    type: string;
};
type AutocompleteFilterOptions = {
    trigger: string;
    name: string;
};
type AutocompleteFilterFunction = (filterOptions: AutocompleteFilterOptions) => boolean;
type AutocompleterOptions = {
    filter?: AutocompleteFilterFunction;
};
export default class Autocompleter {
    private readonly filter;
    private readonly languageService;
    readonly updateCode: UpdateDefinitionFunction;
    constructor({ filter }?: AutocompleterOptions);
    autocomplete(code: string, position?: number): AutoCompletion[];
}
export {};
//# sourceMappingURL=index.d.ts.map